all: rpcinfo

include ../MCONFIG
include ../MRULES

rpcinfo: rpcinfo.o
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@
rpcinfo.o: ../version.h

install: rpcinfo
	install -d $(INSTALLROOT)$(BINDIR)
	install -s -m$(BINMODE) rpcinfo $(INSTALLROOT)$(BINDIR)
	install -d $(INSTALLROOT)$(MANDIR)/man8
	install -m$(MANMODE) rpcinfo.8 $(INSTALLROOT)$(MANDIR)/man8

clean:
	rm -f *.o rpcinfo

